Bug 1422935 - Packages text should be left blank and update host should be left unchecked by default
Summary: Packages text should be left blank and update host should be left unchecked b...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.13
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-02-16 15:12 UTC by SATHEESARAN
Modified: 2017-04-21 09:41 UTC (History)
1 user (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:41:47 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 72641 master MERGED gdeploy: don't install packages by default 2017-02-21 16:30:14 UTC
oVirt gerrit 72795 ovirt-4.1 MERGED gdeploy: don't install packages by default 2017-02-21 16:30:26 UTC

Description SATHEESARAN 2017-02-16 15:12:12 UTC
Description of problem:
-----------------------
The Gluster deployment option guides through the setup, which also has a tab to install packages, checkboxes update hosts and gpgcheck.

This window is no longer required for RHVH NG platform for following reasons:
1. All packages are bundled with RHVH NG
2. There is no need to update the host from gdeploy, as the update itself is somehow different with RHVH NG, the update will update the image and required reboot for the latest image to be booted.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.6

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
1. Initiate Grafton Deployment using cockpit-gdeploy plugin
2. The setup guides you through package installation

Actual results:
---------------
Separate tab asks for packages to install and options to update with gpgcheck

Expected results:
-----------------
There should be any option to install packages, update hosts, gpgcheck

Comment 1 SATHEESARAN 2017-02-17 01:42:58 UTC
If we decide not to remove package installation tab, we should atleast blank the 'packages' text box and uncheck 'Update host' checkbox as those are the default options for RHVH NG node

Comment 2 SATHEESARAN 2017-02-17 09:25:31 UTC
Expectation of this bug has changed. Its not the removal of the tab, but the packages should be left blank and 'update host' checkbox should be unchecked by default.

Changing the bug summary accordingly

Comment 3 SATHEESARAN 2017-03-08 18:01:03 UTC
Tested with ovirt-cockpit-dashboard-0.10.7-0.0.13

Packages tab is left blank and also the update-host checkbox is unchecked by default


Note You need to log in before you can comment on or make changes to this bug.